{
  "openapi": "3.1.0",
  "info": {
    "title": "Enrich Layer API v3",
    "version": "0.2.0",
    "description": "Successful requests consume API credits. Failed requests (4xx/5xx) are not charged.",
    "contact": {
      "name": "Enrich Layer support",
      "email": "support@enrichlayer.com"
    }
  },
  "servers": [
    {
      "url": "https://api.enrichlayer.com"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "people",
      "description": "Person enrichment"
    },
    {
      "name": "company",
      "description": "Company search"
    }
  ],
  "paths": {
    "/v3/person": {
      "get": {
        "operationId": "getPersonV3",
        "summary": "Person Profile Endpoint",
        "description": "Look up a person by any identifier: an email address, or a LinkedIn, Facebook, Twitter/X, or GitHub username or profile URL. One of them is required.",
        "tags": [
          "people"
        ],
        "x-codeSamples": [
          {
            "id": "curl",
            "label": "cURL",
            "lang": "bash",
            "source": "curl -X GET \"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\" \\\n  -H \"Authorization: Bearer YOUR_API_KEY\""
          },
          {
            "id": "js",
            "label": "JavaScript",
            "lang": "js",
            "source": "const response = await fetch(\"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\", {\n  headers: { Authorization: \"Bearer YOUR_API_KEY\" }\n});\n\nconst person = await response.json();"
          },
          {
            "id": "go",
            "label": "Go",
            "lang": "go",
            "source": "req, _ := http.NewRequest(\"GET\", \"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\", nil)\nreq.Header.Set(\"Authorization\", \"Bearer YOUR_API_KEY\")\n\nresp, err := http.DefaultClient.Do(req)"
          },
          {
            "id": "python",
            "label": "Python",
            "lang": "python",
            "source": "import requests\n\nresponse = requests.get(\n    \"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\",\n    headers={\"Authorization\": \"Bearer YOUR_API_KEY\"},\n)\nperson = response.json()"
          },
          {
            "id": "java",
            "label": "Java",
            "lang": "java",
            "source": "HttpRequest request = HttpRequest.newBuilder()\n    .uri(URI.create(\"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\"))\n    .header(\"Authorization\", \"Bearer YOUR_API_KEY\")\n    .build();\n\nHttpResponse<String> response = HttpClient.newHttpClient()\n    .send(request, HttpResponse.BodyHandlers.ofString());"
          },
          {
            "id": "csharp",
            "label": "C#",
            "lang": "csharp",
            "source": "using var client = new HttpClient();\nclient.DefaultRequestHeaders.Authorization =\n    new AuthenticationHeaderValue(\"Bearer\", \"YOUR_API_KEY\");\n\nvar person = await client.GetStringAsync(\"https://api.enrichlayer.com/v3/person?profile=https%3A%2F%2Flinkedin.com%2Fin%2Fsatyanadella%2F&personalEmail=include&maxAgeSeconds=86400\");"
          }
        ],
        "parameters": [
          {
            "name": "email",
            "in": "query",
            "required": false,
            "description": "Email address",
            "example": "satya@microsoft.com",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "profile",
            "in": "query",
            "required": false,
            "description": "LinkedIn username or profile URL",
            "example": "https://linkedin.com/in/satyanadella/",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "facebook",
            "in": "query",
            "required": false,
            "description": "Facebook username or profile URL",
            "example": "https://facebook.com/satyanadella/",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "twitter",
            "in": "query",
            "required": false,
            "description": "Twitter/X username or profile URL",
            "example": "https://x.com/satyanadella/",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "github",
            "in": "query",
            "required": false,
            "description": "GitHub username or profile URL",
            "example": "https://github.com/desaturne",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "socialLink",
            "in": "query",
            "required": false,
            "description": "Include the social profile URLs, returned in the `contactInformation.socialLinks` section, along with the corresponding usernames in the `slug` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "phoneNumber",
            "in": "query",
            "required": false,
            "description": "Include phone numbers, returned in the `contactInformation.phoneNumbers` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "personalEmail",
            "in": "query",
            "required": false,
            "description": "Include personal emails, returned in the `contactInformation.emails.personal` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "workEmail",
            "in": "query",
            "required": false,
            "description": "Include work emails, returned in the `contactInformation.emails.work` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "careerInsight",
            "in": "query",
            "required": false,
            "description": "Include the estimated salary, seniority, and inferred skills, returned in the `careerInsight` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "developerProfile",
            "in": "query",
            "required": false,
            "description": "Include the GitHub developer profile data, returned in the `developerProfile` section",
            "example": "include",
            "schema": {
              "default": "exclude",
              "type": "string",
              "enum": [
                "exclude",
                "include"
              ]
            }
          },
          {
            "name": "maxAgeSeconds",
            "in": "query",
            "required": false,
            "description": "Maximum acceptable age of cached data, in seconds.",
            "example": 86400,
            "schema": {
              "default": 2592000,
              "type": "integer",
              "minimum": 0
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The enriched v3 person profile",
            "headers": {
              "X-Request-Id": {
                "$ref": "#/components/headers/X-Request-Id"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "summary": {
                      "type": "object",
                      "properties": {
                        "fullName": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "profileImage": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "jobTitle": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "currentCompanies": {
                          "type": "array",
                          "items": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "location": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "fullName",
                        "profileImage",
                        "jobTitle",
                        "currentCompanies",
                        "location"
                      ],
                      "additionalProperties": false
                    },
                    "slug": {
                      "type": "object",
                      "properties": {
                        "linkedin": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "github": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "facebook": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "twitter": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "linkedin",
                        "github",
                        "facebook",
                        "twitter"
                      ],
                      "additionalProperties": false
                    },
                    "profileImageUrl": {
                      "type": "object",
                      "properties": {
                        "linkedin": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "twitter": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "github": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "linkedin",
                        "twitter",
                        "github"
                      ],
                      "additionalProperties": false
                    },
                    "backgroundImageUrl": {
                      "type": "object",
                      "properties": {
                        "linkedin": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "twitter": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "github": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "linkedin",
                        "twitter",
                        "github"
                      ],
                      "additionalProperties": false
                    },
                    "firstName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "lastName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "fullName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "middleName": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "nickname": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "suffix": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "headline": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "headlineTimeseries": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "date": {
                            "type": "string"
                          },
                          "value": {
                            "anyOf": [
                              {
                                "type": "number"
                              },
                              {
                                "type": "string"
                              }
                            ]
                          }
                        },
                        "required": [
                          "date",
                          "value"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "jobTitle": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "about": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "location": {
                      "type": "object",
                      "properties": {
                        "country": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "countryIso3": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "countryFullName": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "city": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "state": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "stateFullName": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "rawLocationString": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "coordinates": {
                          "anyOf": [
                            {
                              "type": "object",
                              "properties": {
                                "latitude": {
                                  "anyOf": [
                                    {
                                      "type": "number"
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "longitude": {
                                  "anyOf": [
                                    {
                                      "type": "number"
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                }
                              },
                              "required": [
                                "latitude",
                                "longitude"
                              ],
                              "additionalProperties": false
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "country",
                        "countryIso3",
                        "countryFullName",
                        "city",
                        "state",
                        "stateFullName",
                        "rawLocationString",
                        "coordinates"
                      ],
                      "additionalProperties": false
                    },
                    "experience": {
                      "type": "object",
                      "properties": {
                        "work": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "startDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "endDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "companyName": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "companyInfo": {
                                "anyOf": [
                                  {
                                    "type": "object",
                                    "properties": {
                                      "linkedin": {
                                        "anyOf": [
                                          {
                                            "type": "object",
                                            "properties": {
                                              "slug": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "companyId": {
                                                "anyOf": [
                                                  {
                                                    "type": "number"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "logoUrl": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "website": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "industries": {
                                                "anyOf": [
                                                  {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string"
                                                    }
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              }
                                            },
                                            "required": [
                                              "slug",
                                              "companyId",
                                              "logoUrl",
                                              "website",
                                              "industries"
                                            ],
                                            "additionalProperties": false
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "facebook": {
                                        "anyOf": [
                                          {
                                            "type": "object",
                                            "properties": {
                                              "slug": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "companyId": {
                                                "anyOf": [
                                                  {
                                                    "type": "number"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "logoUrl": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "website": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "industries": {
                                                "anyOf": [
                                                  {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string"
                                                    }
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              }
                                            },
                                            "required": [
                                              "slug",
                                              "companyId",
                                              "logoUrl",
                                              "website",
                                              "industries"
                                            ],
                                            "additionalProperties": false
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "crunchbase": {
                                        "anyOf": [
                                          {
                                            "type": "object",
                                            "properties": {
                                              "slug": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "companyId": {
                                                "anyOf": [
                                                  {
                                                    "type": "number"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "logoUrl": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "website": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "industries": {
                                                "anyOf": [
                                                  {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string"
                                                    }
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              }
                                            },
                                            "required": [
                                              "slug",
                                              "companyId",
                                              "logoUrl",
                                              "website",
                                              "industries"
                                            ],
                                            "additionalProperties": false
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "twitter": {
                                        "anyOf": [
                                          {
                                            "type": "object",
                                            "properties": {
                                              "slug": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "companyId": {
                                                "anyOf": [
                                                  {
                                                    "type": "number"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "logoUrl": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "website": {
                                                "anyOf": [
                                                  {
                                                    "type": "string"
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              },
                                              "industries": {
                                                "anyOf": [
                                                  {
                                                    "type": "array",
                                                    "items": {
                                                      "type": "string"
                                                    }
                                                  },
                                                  {
                                                    "type": "null"
                                                  }
                                                ]
                                              }
                                            },
                                            "required": [
                                              "slug",
                                              "companyId",
                                              "logoUrl",
                                              "website",
                                              "industries"
                                            ],
                                            "additionalProperties": false
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    },
                                    "required": [
                                      "linkedin",
                                      "facebook",
                                      "crunchbase",
                                      "twitter"
                                    ],
                                    "additionalProperties": false
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "title": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "location": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "seniority": {
                                "anyOf": [
                                  {
                                    "type": "array",
                                    "items": {
                                      "type": "string"
                                    }
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "isDecisionMaker": {
                                "anyOf": [
                                  {
                                    "type": "boolean"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "employmentType": {
                                "anyOf": [
                                  {
                                    "type": "array",
                                    "items": {
                                      "type": "string"
                                    }
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "jobFunction": {
                                "anyOf": [
                                  {
                                    "type": "array",
                                    "items": {
                                      "type": "string"
                                    }
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "startDate",
                              "endDate",
                              "companyName",
                              "companyInfo",
                              "title",
                              "description",
                              "location",
                              "seniority",
                              "isDecisionMaker",
                              "employmentType",
                              "jobFunction"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "volunteer": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "startDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "endDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "title": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "cause": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "organization": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "organizationId": {
                                "anyOf": [
                                  {
                                    "type": "object",
                                    "properties": {
                                      "linkedinId": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "crunchbaseId": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "facebookId": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "twitterId": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    },
                                    "required": [
                                      "linkedinId",
                                      "crunchbaseId",
                                      "facebookId",
                                      "twitterId"
                                    ],
                                    "additionalProperties": false
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "logoUrl": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "startDate",
                              "endDate",
                              "title",
                              "cause",
                              "organization",
                              "organizationId",
                              "description",
                              "logoUrl"
                            ],
                            "additionalProperties": false
                          }
                        }
                      },
                      "required": [
                        "work",
                        "volunteer"
                      ],
                      "additionalProperties": false
                    },
                    "education": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "startDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "endDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "fieldOfStudy": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "degreeName": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "school": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "schoolId": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "linkedinId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "crunchbaseId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "facebookId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "twitterId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                "required": [
                                  "linkedinId",
                                  "crunchbaseId",
                                  "facebookId",
                                  "twitterId"
                                ],
                                "additionalProperties": false
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "description": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "logoUrl": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "grade": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "activities": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "startDate",
                          "endDate",
                          "fieldOfStudy",
                          "degreeName",
                          "school",
                          "schoolId",
                          "description",
                          "logoUrl",
                          "grade",
                          "activities"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "certifications": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "startDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "endDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "name": {
                            "type": "string"
                          },
                          "licenseNumber": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "displaySource": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "authority": {
                            "type": "string"
                          },
                          "url": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "organizationId": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "linkedinId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "crunchbaseId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "facebookId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "twitterId": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                "required": [
                                  "linkedinId",
                                  "crunchbaseId",
                                  "facebookId",
                                  "twitterId"
                                ],
                                "additionalProperties": false
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "organizationUrl": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "startDate",
                          "endDate",
                          "name",
                          "licenseNumber",
                          "displaySource",
                          "authority",
                          "url",
                          "organizationId",
                          "organizationUrl"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "accomplishments": {
                      "type": "object",
                      "properties": {
                        "organizations": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "startDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "endDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "name": {
                                "type": "string"
                              },
                              "position": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "startDate",
                              "endDate",
                              "name",
                              "position",
                              "description"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "honorsAwards": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "title": {
                                "type": "string"
                              },
                              "issuer": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "issuedDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "title",
                              "issuer",
                              "issuedDate",
                              "description"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "courses": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string"
                              },
                              "number": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "name",
                              "number"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "projects": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "startDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "endDate": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "title": {
                                "type": "string"
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "url": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "startDate",
                              "endDate",
                              "title",
                              "description",
                              "url"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "testScores": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "score": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "date": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              },
                              "description": {
                                "anyOf": [
                                  {
                                    "type": "string"
                                  },
                                  {
                                    "type": "null"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "name",
                              "score",
                              "date",
                              "description"
                            ],
                            "additionalProperties": false
                          }
                        }
                      },
                      "required": [
                        "organizations",
                        "honorsAwards",
                        "courses",
                        "projects",
                        "testScores"
                      ],
                      "additionalProperties": false
                    },
                    "publications": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": "string"
                          },
                          "publisher": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "publishedDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "description": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "url": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "title",
                          "publisher",
                          "publishedDate",
                          "description",
                          "url"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "patents": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": "string"
                          },
                          "issuer": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "issuedDate": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "description": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "applicationNumber": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "patentNumber": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "url": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "title",
                          "issuer",
                          "issuedDate",
                          "description",
                          "applicationNumber",
                          "patentNumber",
                          "url"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "contactInformation": {
                      "anyOf": [
                        {
                          "type": "object",
                          "properties": {
                            "emails": {
                              "description": "Only valid addresses are returned: consumer-provider addresses from the profile → personal, prospected addresses → work",
                              "type": "object",
                              "properties": {
                                "personal": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "email": {
                                        "type": "string"
                                      },
                                      "normalized": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "validity": {
                                        "description": "Always \"valid\" — only valid addresses are returned",
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "validatedAt": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "gateway": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    },
                                    "required": [
                                      "email",
                                      "normalized",
                                      "validity",
                                      "validatedAt",
                                      "gateway"
                                    ],
                                    "additionalProperties": false
                                  }
                                },
                                "work": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "email": {
                                        "type": "string"
                                      },
                                      "normalized": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "validity": {
                                        "description": "Always \"valid\" — only valid addresses are returned",
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "validatedAt": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      },
                                      "gateway": {
                                        "anyOf": [
                                          {
                                            "type": "string"
                                          },
                                          {
                                            "type": "null"
                                          }
                                        ]
                                      }
                                    },
                                    "required": [
                                      "email",
                                      "normalized",
                                      "validity",
                                      "validatedAt",
                                      "gateway"
                                    ],
                                    "additionalProperties": false
                                  }
                                }
                              },
                              "required": [
                                "personal",
                                "work"
                              ],
                              "additionalProperties": false
                            },
                            "phoneNumbers": {
                              "anyOf": [
                                {
                                  "type": "array",
                                  "items": {
                                    "anyOf": [
                                      {
                                        "type": "string"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "socialLinks": {
                              "anyOf": [
                                {
                                  "type": "object",
                                  "properties": {
                                    "linkedinUrl": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "githubUrl": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "facebookUrl": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "twitterUrl": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    },
                                    "websiteUrl": {
                                      "anyOf": [
                                        {
                                          "type": "string"
                                        },
                                        {
                                          "type": "null"
                                        }
                                      ]
                                    }
                                  },
                                  "required": [
                                    "linkedinUrl",
                                    "githubUrl",
                                    "facebookUrl",
                                    "twitterUrl",
                                    "websiteUrl"
                                  ],
                                  "additionalProperties": false
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "emails",
                            "phoneNumbers",
                            "socialLinks"
                          ],
                          "additionalProperties": false
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "languages": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "proficiency": {
                            "anyOf": [
                              {
                                "type": "string"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "name",
                          "proficiency"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "interests": {
                      "anyOf": [
                        {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "inferredGender": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "industries": {
                      "anyOf": [
                        {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "socialPresence": {
                      "type": "object",
                      "properties": {
                        "followers": {
                          "type": "object",
                          "properties": {
                            "total": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "linkedin": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "twitter": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "facebook": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "github": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "total",
                            "linkedin",
                            "twitter",
                            "facebook",
                            "github"
                          ],
                          "additionalProperties": false
                        },
                        "followersCountTimeseries": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "date": {
                                "type": "string"
                              },
                              "value": {
                                "anyOf": [
                                  {
                                    "type": "number"
                                  },
                                  {
                                    "type": "string"
                                  }
                                ]
                              }
                            },
                            "required": [
                              "date",
                              "value"
                            ],
                            "additionalProperties": false
                          }
                        },
                        "connections": {
                          "type": "object",
                          "properties": {
                            "total": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "linkedin": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "twitter": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "facebook": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "github": {
                              "anyOf": [
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "total",
                            "linkedin",
                            "twitter",
                            "facebook",
                            "github"
                          ],
                          "additionalProperties": false
                        }
                      },
[...]
